#!/bin/bash
VERSION=3.12
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID

echo "-- Updating DB"
mysql -u root < $DIR/db.sql

echo "-- Resetting queuelog pointer"
rm -f $INSTALLDIR/api/scripts/queueanalyser/queue_log_pointer

echo "-- Updating DB"
cat > $INSTALLDIR/api/scripts/analyse.sh <<-EOF
#!/bin/sh
if [ ! -e "/tmp/statlock" ]
then
touch /tmp/statlock
/usr/bin/php $INSTALLDIR/api/scripts/queueanalyser/queueanalyser.php &>> /var/log/statexplorercron.log
/usr/bin/php $INSTALLDIR/api/scripts/celanalyser/celanalyser.php -a -w -n=2000 &>> /var/log/statexplorercron.log
rm -f /tmp/statlock
else
echo "New analysis canceled : another one is running" >> /var/log/statexplorercron.log 
fi
EOF

cat > /etc/cron.d/statexplorer <<-EOF
0 0 * * 0 root rm -f /var/log/statexplorercron.log 
* * * * * root /bin/bash $INSTALLDIR/api/scripts/analyse.sh &>> /var/log/statexplorercron.log 
EOF