#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


mysql -u root < $DIR/db.sql


cat > /etc/systemd/system/statexplorer.service <<-EOF
[Unit]
Description=Statexplorer analysis service
Documentation=
Wants=network-online.target
After=asterisk.service

[Service]
User=root
Type=simple
ExecStart=/bin/bash $INSTALLDIR/api/scripts/analyse.sh
ExecStop=/bin/rm -f /var/run/statexplorer.pid
Restart=on-failure
RestartSec=10
WorkingDirectory=/usr/share/ombutel/www/statexplorer/api/scripts
KillMode=control-group
KillSignal=SIGKILL

[Install]
WantedBy=multi-user.target
EOF

systemctl enable statexplorer

